/*
 *   Copyright 2010 Brian Rosenberger (Brutex Network)
 *
 *   Licensed under the Apache License, Version 2.0 (the "License");
 *   you may not use this file except in compliance with the License.
 *   You may obtain a copy of the License at
 *
 *       http://www.apache.org/licenses/LICENSE-2.0
 *
 *   Unless required by applicable law or agreed to in writing, software
 *   distributed under the License is distributed on an "AS IS" BASIS,
 *   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *   See the License for the specific language governing permissions and
 *   limitations under the License.
 */

package net.brutex.xservices.types.ant;

import org.apache.tools.ant.Project;
import org.apache.tools.ant.types.Resource;

/**
 * Wrapper for a single file like Ant Resources.
 *
 * @author Brian Rosenberger, bru@brutex.de
 */
public interface ResourceInterface {

    /**
     * Get this resource as Ant Resource.
     *
     * @param p     Ant project
     * @return      this resource as Ant Resource
     */
    Resource getAntResource(Project p);

}
