/*
 *   Copyright 2013 Brian Rosenberger (Brutex Network)
 *
 *   Licensed under the Apache License, Version 2.0 (the "License");
 *   you may not use this file except in compliance with the License.
 *   You may obtain a copy of the License at
 *
 *       http://www.apache.org/licenses/LICENSE-2.0
 *
 *   Unless required by applicable law or agreed to in writing, software
 *   distributed under the License is distributed on an "AS IS" BASIS,
 *   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *   See the License for the specific language governing permissions and
 *   limitations under the License.
 */

package net.brutex.xservices.ws.rs;

import javax.ws.rs.GET;
import javax.ws.rs.Path;
import javax.ws.rs.Produces;
import javax.ws.rs.QueryParam;
import javax.ws.rs.core.Context;
import javax.ws.rs.core.HttpHeaders;
import javax.ws.rs.core.Response;


/**
 * The OpenAirInfoService Rest Service.
 * 
 * @author Brian Rosenberger, bru(at)brutex.de
 */

@Path("/OpenAirInfoService/")
@Produces({ "text/xml" })
public abstract interface OpenAirInfoService {

	public final static String BASE_PATH = "/OpenAirInfoService/";
	public final static String SERVICE_NAME = "OpenAirInfoService";
	


	@GET
	@Path("getCompanies/")
	//@Produces("application/octet-stream")
	public abstract Response getCompanies(
			@Context HttpHeaders paramHttpHeaders,
			@QueryParam("search") String search);
}
